# Define version and release number
%define modname jsmin
%define soname %{modname}
%define inifile A50_%{modname}.ini
#define prerel beta
%define incdir %(php-config --include-dir)
%define extdir %(php-config --extension-dir)


Name:		php-%{modname}
Version:	3.0.0
Release:	%mkrel 18
Group:		Development/PHP
Summary:	PHP extension for minifying JavaScript
License:	Apache 2.0
URL:		https://pecl.php.net/package/%{modname}
Source0:	https://pecl.php.net/get/%{modname}-%{version}%{?prerel}.tgz
Patch0:		php8.patch
BuildRequires:	php-devel >= 3:8.3.0
BuildRequires:	mercurial
Requires:       php >= 3:8.3.0
Requires:       php-common = 3:8.3

%description
This extension provides an API for minifying JavaScript.

%prep

%autosetup -S hg -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild
phpize
%configure --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make_build

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_bindir}
install -m0755 modules/%{soname}.so %{buildroot}%{extdir}/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}
EOF

%files
%doc package*.xml README.md
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}.so


%changelog
* Fri Sep 08 2023 mokraemer <mokraemer> 3.0.0-18.mga10
+ Revision: 1985205
- rebuild for php 8.3

* Fri Nov 04 2022 mokraemer <mokraemer> 3.0.0-17.mga9
+ Revision: 1902350
+ rebuild (emptylog)

* Wed Aug 24 2022 mokraemer <mokraemer> 3.0.0-16.mga9
+ Revision: 1879778
- update extension for new directories

* Fri Jul 22 2022 mokraemer <mokraemer> 3.0.0-15.mga9
+ Revision: 1869991
- fix dependancy error

* Thu Jul 21 2022 mokraemer <mokraemer> 3.0.0-14.mga9
+ Revision: 1869860
- rebuild for php 8.2

* Sat Mar 19 2022 umeabot <umeabot> 3.0.0-13.mga9
+ Revision: 1800051
- Mageia 9 Mass Rebuild

* Fri Nov 26 2021 mokraemer <mokraemer> 3.0.0-12.mga9
+ Revision: 1759372
- rebuild for php 8.1

* Tue Dec 29 2020 mokraemer <mokraemer> 3.0.0-11.mga8
+ Revision: 1664724
- missing patch file
- patch php 8

* Thu Jun 18 2020 mokraemer <mokraemer> 3.0.0-9.mga8
+ Revision: 1596249
- fix dep to current version

* Tue Feb 18 2020 umeabot <umeabot> 3.0.0-8.mga8
+ Revision: 1538979
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 3.0.0-7.mga8
+ Revision: 1463528
+ rebuild (emptylog)

* Mon Oct 21 2019 mokraemer <mokraemer> 3.0.0-6.mga8
+ Revision: 1454921
- removed dirname

* Wed Dec 12 2018 mokraemer <mokraemer> 3.0.0-4.mga7
+ Revision: 1340444
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 3.0.0-3.mga7
+ Revision: 1326050
- updated requires

* Thu Oct 04 2018 mokraemer <mokraemer> 3.0.0-2.mga7
+ Revision: 1317754
- correct massrebuild
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Fri Feb 09 2018 mokraemer <mokraemer> 3.0.0-1.mga7
+ Revision: 1199842
- new pecl package jsmin in version 3.0.0
- Created package structure for php-jsmin.

